package net.waltzstudio.base.framework.entity;

import java.util.Date;
import org.seasar.extension.jdbc.name.PropertyName;
import net.waltzstudio.base.framework.types.DeleteFlg;

public interface AuditEntityName {

	/** 削除フラグ */
	public static PropertyName<DeleteFlg> $DELETE_FLG = new PropertyName<DeleteFlg>("deleteFlg");

	/** 作成日時 */
	public static PropertyName<Date> $CREATE_DATETIME = new PropertyName<Date>("createDatetime");

	/** 作成者ID */
	public static PropertyName<Long> $CREATE_ID = new PropertyName<Long>("createId");

	/** 更新日時 */
	public static PropertyName<Date> $UPDATE_DATETIME = new PropertyName<Date>("updateDatetime");

	/** 更新者ID */
	public static PropertyName<Long> $UPDATE_ID = new PropertyName<Long>("updateId");

}
